Subject: Re: [PATCH v3 6/6] whatschanged: list it in BreakingChanges document

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 May 2025 11:35:36 -0700

Elijah Newren <[email-masked]> writes:

> On Fri, May 2, 2025 at 5:59 PM Junio C Hamano <[email-masked]> wrote:
>>
>> This can be squashed into the previous step.  That is how our "git
>> pack-redundant" conversion did.
>>
>> Theoretically, however, those who want to gauge the need to keep the
>> command by exposing their users to patches before this one may want
>> to wait until their experiment finishes before they formally say
>> "this will go away".
>>
>> This change is made into a separate patch from the previous step
>> precisely to help those folks.
>
> Were these three paragraphs intended to come after the "---" line, but
> accidentally placed in the commit message?

They are indeed meant above the "---" line to explain why this one
is separate.

>> +* The git-whatchanged(1) command has outlived its usefulness more than
>> +  10 years ago, and takes more keystrokes to type than its rough
>> +  equivalent `git log --raw`.  We have nominated the command for
>> +  removal, have changed the command to refuse to work unless the
>> +  `--i-still-use-this` option is given, and asked the users to report
>> +  when they do so.  So far there hasn't been a single complaint.
>> ++
>> +The command will be removed
>
> Missing period at the end of this sentence?

Indeed.

Thanks.